<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-collapsible *ngIf="appEmail"
                 [appCollapsed]="false"
                 [appHeaderTemplateRef]="emailHeaderRef"
                 [appHideButton]="true"
                 [appTitle]="appEmail?.subject"
                 class="email">
  <div class="email--content">

    <div class="email--content--info">
      <div class="email--content--info--text">
        <span class="email--content--info--text---bold">{{"mails.sender" | translate}}</span>
        <span class="email--content--info--text---bold">{{"mails.date" | translate}}</span>
      </div>
      <div class="email--content--info--text">
        <a [href]="'mailto:' + appEmail.from" rel="noreferrer noopener" target="_blank">{{appEmail.from}}</a>
        <span>{{(appEmail.date | appMomentPipe).format(dateFormat)}}</span>
      </div>
    </div>

    <div class="email--content--body">
      <div *ngFor="let text of (appEmail.textPlain | appEmailTextToArray), let i = index;">
        {{text}} <br *ngIf="(appEmail.textPlain | appEmailTextToArray).length !== i">
      </div>
      <div *ngIf="appEmail?.textPlain === '\r\n'"
           class="email--content--body--placeholder">{{"mails.noContent" | translate}}
      </div>

    </div>

    <app-collapsible [appCollapsed]="false"
                     [appSimpleCollapsible]="true"
                     [appTitle]="('mails.attachments' | translate) + ' (' + (appEmail?.attachments ? appEmail.attachments.length.toString() : '0') +')'"
                     class="email--content--attachments">

      <div *ngIf="appEmail?.attachments?.length > 0" class="email--content--attachments--row">
        <button (click)="appDownloadAttachment.emit({ mailId: appEmail.identifier, name: attachment?.name })"
                *ngFor="let attachment of appEmail?.attachments"
                class="openk-button email--content--attachments--btn"
                type="button">
          {{attachment?.name}}
          <mat-icon class="email--content--attachments--icon">get_app</mat-icon>
        </button>
      </div>
    </app-collapsible>

  </div>

</app-collapsible>

<div *ngIf="!appHideControls" class="email-controls">
  <app-action-button
    [appIcon]="'note_add'"
    [appMailId]="appEmail?.identifier"
    [appRouterLink]="'/new'"
    class="openk-success">
    {{"core.actions.createStatementFromEmail" | translate}}
  </app-action-button>
</div>

<ng-template #emailHeaderRef>
  <div class="email--header">

    <app-progress-spinner
      [class.progress-spinner---hidden]="!appDeleting">
    </app-progress-spinner>

    <button (click)="appRemoveFromInbox.emit(appEmail.identifier)"
            *ngIf="!appHideControls && !appDeleting"
            class="openk-button openk-button-rounded email--content--attachments--btn"
            type="button">
      <mat-icon>delete_forever</mat-icon>
    </button>

  </div>
</ng-template>
